package sensor

import (
	"time"

	"git.cryptic.systems/volker.raschek/flucky/pkg/types"
)

type Sensor interface {
	GetTicker() *time.Ticker

	// Read single measured values from sensor
	Read() ([]*types.MeasuredValue, error)
}
